Deploy 'hack' patch & logging for tracking user registrations and guided tour
Closed, ResolvedPublic

Verena created this task.Sep 4 2017, 2:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2017, 2:41 PM
Verena added a comment.Sep 4 2017, 2:42 PM

This includes setting up the logging in production for the change

Addshore renamed this task from Deploy patch&logging for tracking user registrations and guided tour to Deploy 'hack' patch & logging for tracking user registrations and guided tour.Sep 6 2017, 8:30 AM
Addshore moved this task from Backlog to In Progress on the User-Addshore board.
Addshore moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2017-09-05 board.

Change 376191 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Add WMDE log channel

https://gerrit.wikimedia.org/r/376191

Addshore claimed this task.Sep 6 2017, 8:34 AM

Change 376191 merged by jenkins-bot:
[operations/mediawiki-config@master] Add WMDE log channel

https://gerrit.wikimedia.org/r/376191

Mentioned in SAL (#wikimedia-operations) [2017-09-06T08:49:53Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: T174948 [[gerrit:376191|Add WMDE log channel]] (duration: 00m 49s)

The campaign names can be found in T174952#3595367

(1) ?campaign=wmde_abc2017_bt1 - banner for Specific Task 1;
(2) ?campaign=wmde_abc2017_bt2 - banner for Specific Task 2;
(3) ?campaign=wmde_abc2017_bt3 - banner for Specific Task 3;
(4) ?campaign=wmde_abc2017_gib_lp - banner for the General Invitation which leads to the Landing Page upon click;
(5) ?campaign=wmde_abc2017_gib_rg - banner for the General Invitation which leads directly to Registration upon click.

Change 377229 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaEvents@master] Setup WMDE editor campaign tracking

https://gerrit.wikimedia.org/r/377229

This ticket refers to "deploying" the patch.
This will not be needed if it is reviewed in good time as it will go out with the train.

Addshore triaged this task as Normal priority.Sep 13 2017, 11:29 AM

Change 377229 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Setup WMDE editor campaign tracking

https://gerrit.wikimedia.org/r/377229

Change 378232 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaEvents@master] Fix second campaign param check in onBeforeInitializeWMDECampaign

https://gerrit.wikimedia.org/r/378232

Change 378232 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Fix second campaign param check in onBeforeInitializeWMDECampaign

https://gerrit.wikimedia.org/r/378232

The code will be dewiki in production next Thursday!

Change 379748 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaEvents@master] onBeforeInitializeWMDECampaign, fix early bail condition

https://gerrit.wikimedia.org/r/379748

Change 379749 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.19] onBeforeInitializeWMDECampaign, fix early bail condition

https://gerrit.wikimedia.org/r/379749

Great - then let's test it again on Monday.
Thanks!

Change 379749 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.19] onBeforeInitializeWMDECampaign, fix early bail condition

https://gerrit.wikimedia.org/r/379749

Mentioned in SAL (#wikimedia-operations) [2017-09-25T13:30:49Z] <addshore@tin> Synchronized php-1.30.0-wmf.19/extensions/WikimediaEvents/WikimediaEventsHooks.php: SWAT: [[gerrit:379749]] onBeforeInitializeWMDECampaign, fix early bail condition T174948 (duration: 00m 46s)

Change 379748 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] onBeforeInitializeWMDECampaign, fix early bail condition

https://gerrit.wikimedia.org/r/379748

Addshore closed this task as Resolved.
Addshore moved this task from Needs Review to Done / Closed on the User-Addshore board.